Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4510)
@@ -1392,28 +1417,48 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Pre-computation of grid-dependent and near-wall mixing length.
-!> @todo consider walls in horizontal direction at a distance further than a
-!>       single grid point (RANS mode)
-!------------------------------------------------------------------------------!
+!> @todo consider walls in horizontal direction at a distance further than a single grid point
+!> (RANS mode)
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_init_mixing_length
 
-    USE arrays_3d,                                                             &
-        ONLY:  dzw, ug, vg, zu, zw
-
-    USE control_parameters,                                                    &
-        ONLY:  f, message_string, wall_adjustment
-
-    USE exchange_horiz_mod,                                                    &
-        ONLY:  exchange_horiz, exchange_horiz_int
-
-    USE grid_variables,                                                        &
-        ONLY:  dx, dy
-
-    USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, wall_flags_total_0
+    USE arrays_3d,                                                                                 &
+        ONLY:  dzw,                                                                                &
+               ug,                                                                                 &
+               vg,                                                                                 &
+               zu,                                                                                 &
+               zw
+
+    USE control_parameters,                                                                        &
+        ONLY:  f,                                                                                  &
+               message_string,                                                                     &
+               wall_adjustment
+
+    USE exchange_horiz_mod,                                                                        &
+        ONLY:  exchange_horiz,                                                                     &
+               exchange_horiz_int
+
+    USE grid_variables,                                                                            &
+        ONLY:  dx,                                                                                 &
+               dy
+
+    USE indices,                                                                                   &
+        ONLY:  nbgp,                                                                               &
+               nx,                                                                                 &
+               nxl,                                                                                &
+               nxlg,                                                                               &
+               nxr,                                                                                &
+               nxrg,                                                                               &
+               ny,                                                                                 &
+               nyn,                                                                                &
+               nyng,                                                                               &
+               nys,                                                                                &
+               nysg,                                                                               &
+               nzb,                                                                                &
+               nzt,                                                                                &
+               wall_flags_total_0
 
     USE kinds
@@ -1422,37 +1467,37 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) :: dist_dx     !< found distance devided by dx
-    INTEGER(iwp) :: i           !< index variable along x
-    INTEGER(iwp) :: ii          !< index variable along x
-    INTEGER(iwp) :: j           !< index variable along y
-    INTEGER(iwp) :: k           !< index variable along z
-    INTEGER(iwp) :: k_max_topo  !< index of maximum topography height
-    INTEGER(iwp) :: kk          !< index variable along z
-    INTEGER(iwp) :: rad_i       !< search radius in grid points along x
-    INTEGER(iwp) :: rad_i_l     !< possible search radius to the left
-    INTEGER(iwp) :: rad_i_r     !< possible search radius to the right
-    INTEGER(iwp) :: rad_j       !< search radius in grid points along y
-    INTEGER(iwp) :: rad_j_n     !< possible search radius to north
-    INTEGER(iwp) :: rad_j_s     !< possible search radius to south
-    INTEGER(iwp) :: rad_k       !< search radius in grid points along z
-    INTEGER(iwp) :: rad_k_b     !< search radius in grid points along negative z
-    INTEGER(iwp) :: rad_k_t     !< search radius in grid points along positive z
-
-    INTEGER(KIND=1), DIMENSION(:,:), ALLOCATABLE :: vic_yz !< contains a quarter of a single yz-slice of vicinity
-
-    INTEGER(KIND=1), DIMENSION(:,:,:), ALLOCATABLE :: vicinity !< contains topography information of the vicinity of (i/j/k)
-
-    REAL(wp) :: distance_up            !< distance of grid box center to its boundary in upper direction
-    REAL(wp) :: distance_down          !< distance of grid box center to its boundary in lower direction
-    REAL(wp) :: distance_ns            !< distance of grid box center to its boundary in y direction
-    REAL(wp) :: distance_lr            !< distance of grid box center to its boundary in x direction
-    REAL(wp) :: distance_edge_yz_down  !< distance of grid box center to its boundary along yz diagonal (down)
-    REAL(wp) :: distance_edge_yz_up    !< distance of grid box center to its boundary along yz diagonal (up)
-    REAL(wp) :: distance_edge_xz_down  !< distance of grid box center to its boundary along xz diagonal
-    REAL(wp) :: distance_edge_xz_up    !< distance of grid box center to its boundary along xz diagonal (up)
-    REAL(wp) :: distance_edge_xy       !< distance of grid box center to its boundary along xy diagonal
-    REAL(wp) :: distance_corners_down  !< distance of grid box center to its upper corners
-    REAL(wp) :: distance_corners_up    !< distance of grid box center to its lower corners
-    REAL(wp) :: radius                 !< search radius in meter
+    INTEGER(iwp) ::  dist_dx     !< found distance devided by dx
+    INTEGER(iwp) ::  i           !< index variable along x
+    INTEGER(iwp) ::  ii          !< index variable along x
+    INTEGER(iwp) ::  j           !< index variable along y
+    INTEGER(iwp) ::  k           !< index variable along z
+    INTEGER(iwp) ::  k_max_topo  !< index of maximum topography height
+    INTEGER(iwp) ::  kk          !< index variable along z
+    INTEGER(iwp) ::  rad_i       !< search radius in grid points along x
+    INTEGER(iwp) ::  rad_i_l     !< possible search radius to the left
+    INTEGER(iwp) ::  rad_i_r     !< possible search radius to the right
+    INTEGER(iwp) ::  rad_j       !< search radius in grid points along y
+    INTEGER(iwp) ::  rad_j_n     !< possible search radius to north
+    INTEGER(iwp) ::  rad_j_s     !< possible search radius to south
+    INTEGER(iwp) ::  rad_k       !< search radius in grid points along z
+    INTEGER(iwp) ::  rad_k_b     !< search radius in grid points along negative z
+    INTEGER(iwp) ::  rad_k_t     !< search radius in grid points along positive z
+
+    INTEGER(KIND=1), DIMENSION(:,:), ALLOCATABLE ::  vic_yz  !< contains a quarter of a single yz-slice of vicinity
+
+    INTEGER(KIND=1), DIMENSION(:,:,:), ALLOCATABLE ::  vicinity  !< contains topography information of the vicinity of (i/j/k)
+
+    REAL(wp) ::  distance_up            !< distance of grid box center to its boundary in upper direction
+    REAL(wp) ::  distance_down          !< distance of grid box center to its boundary in lower direction
+    REAL(wp) ::  distance_ns            !< distance of grid box center to its boundary in y direction
+    REAL(wp) ::  distance_lr            !< distance of grid box center to its boundary in x direction
+    REAL(wp) ::  distance_edge_yz_down  !< distance of grid box center to its boundary along yz diagonal (down)
+    REAL(wp) ::  distance_edge_yz_up    !< distance of grid box center to its boundary along yz diagonal (up)
+    REAL(wp) ::  distance_edge_xz_down  !< distance of grid box center to its boundary along xz diagonal
+    REAL(wp) ::  distance_edge_xz_up    !< distance of grid box center to its boundary along xz diagonal (up)
+    REAL(wp) ::  distance_edge_xy       !< distance of grid box center to its boundary along xy diagonal
+    REAL(wp) ::  distance_corners_down  !< distance of grid box center to its upper corners
+    REAL(wp) ::  distance_corners_up    !< distance of grid box center to its lower corners
+    REAL(wp) ::  radius                 !< search radius in meter
 
     REAL(wp), DIMENSION(nzb:nzt+1) ::  gridsize_geometric_mean  !< geometric mean of grid sizes dx, dy, dz
@@ -1476,9 +1521,8 @@
        gridsize_geometric_mean(nzt+1) = gridsize_geometric_mean(nzt)
 
-       IF ( ANY( gridsize_geometric_mean > 1.5_wp * dx * wall_adjustment_factor ) .OR. &
+       IF ( ANY( gridsize_geometric_mean > 1.5_wp * dx * wall_adjustment_factor )  .OR.            &
             ANY( gridsize_geometric_mean > 1.5_wp * dy * wall_adjustment_factor ) )  THEN
-            WRITE( message_string, * ) 'grid anisotropy exceeds threshold',    &
-                                      ' &starting from height level k = ', k, &
-                                      '.'
+            WRITE( message_string, * ) 'grid anisotropy exceeds threshold',                        &
+                                       ' &starting from height level k = ', k, '.'
            CALL message( 'init_grid', 'PA0202', 0, 1, 0, 6, 0 )
        ENDIF
@@ -1491,6 +1535,6 @@
 
 !
-!--    If Dai et al. (2020) closure is used, the distance to the wall (distance to nearest upward facing surface)
-!--    must be stored
+!--    If Dai et al. (2020) closure is used, the distance to the wall (distance to nearest upward
+!--    facing surface) must be stored
        IF ( les_dai )  THEN
           DO  i = nxl, nxr
@@ -1505,6 +1549,6 @@
        IF ( wall_adjustment )  THEN
 !
-!--       In case of topography, adjust mixing length if there is any wall at
-!--       the surrounding grid boxes:
+!--       In case of topography, adjust mixing length if there is any wall at the surrounding grid
+!--       boxes:
           !> @todo check if this is correct also for the ocean case
           DO  i = nxl, nxr
@@ -1515,6 +1559,6 @@
                    IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )  THEN
 !
-!--                   First, check if grid points directly next to current grid point
-!--                   are surface grid points
+!--                   First, check if grid points directly next to current grid point are surface
+!--                   grid points
 !--                   Check along...
 !--                   ...vertical direction, down
@@ -1533,5 +1577,5 @@
 !
 !--                   ...y-direction (north/south)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 0 )  .OR. &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 0 )  .OR.                     &
                            .NOT. BTEST( wall_flags_total_0(k,j+1,i), 0 ) )  THEN
                          distance_ns = 0.5_wp * dy
@@ -1541,5 +1585,5 @@
 !
 !--                   ...x-direction (left/right)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 0 )  .OR. &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 0 )  .OR.                     &
                            .NOT. BTEST( wall_flags_total_0(k,j,i+1), 0 ) )  THEN
                          distance_lr = 0.5_wp * dx
@@ -1550,5 +1594,5 @@
 !--                   Now, check the edges along...
 !--                   ...yz-direction (vertical edges, down)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j-1,i), 0 )  .OR.  &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j-1,i), 0 )  .OR.                   &
                            .NOT. BTEST( wall_flags_total_0(k-1,j+1,i), 0 )  )  THEN
                          distance_edge_yz_down = SQRT( 0.25_wp * dy**2 + ( zu(k) - zw(k-1) )**2 )
@@ -1558,5 +1602,5 @@
 !
 !--                   ...yz-direction (vertical edges, up)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j-1,i), 0 )  .OR.  &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j-1,i), 0 )  .OR.                   &
                            .NOT. BTEST( wall_flags_total_0(k+1,j+1,i), 0 )  )  THEN
                          distance_edge_yz_up = SQRT( 0.25_wp * dy**2 + ( zw(k) - zu(k) )**2 )
@@ -1566,5 +1610,5 @@
 !
 !--                   ...xz-direction (vertical edges, down)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j,i-1), 0 )  .OR.  &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j,i-1), 0 )  .OR.                   &
                            .NOT. BTEST( wall_flags_total_0(k-1,j,i+1), 0 )  )  THEN
                          distance_edge_xz_down = SQRT( 0.25_wp * dx**2 + ( zu(k) - zw(k-1) )**2 )
@@ -1574,5 +1618,5 @@
 !
 !--                   ...xz-direction (vertical edges, up)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j,i-1), 0 )  .OR.  &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j,i-1), 0 )  .OR.                   &
                            .NOT. BTEST( wall_flags_total_0(k+1,j,i+1), 0 )  )  THEN
                          distance_edge_xz_up = SQRT( 0.25_wp * dx**2 + ( zw(k) - zu(k) )**2 )
@@ -1582,7 +1626,7 @@
 !
 !--                   ...xy-direction (horizontal edges)
-                      IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k,j+1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k,j-1,i+1), 0 )  .OR. &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i-1), 0 )  .OR.                   &
+                           .NOT. BTEST( wall_flags_total_0(k,j+1,i-1), 0 )  .OR.                   &
+                           .NOT. BTEST( wall_flags_total_0(k,j-1,i+1), 0 )  .OR.                   &
                            .NOT. BTEST( wall_flags_total_0(k,j+1,i+1), 0 ) )  THEN
                          distance_edge_xy = SQRT( 0.25_wp * ( dx**2 + dy**2 ) )
@@ -1593,9 +1637,9 @@
 !--                   Now, check the corners...
 !--                   ...lower four corners
-                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j-1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k-1,j+1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k-1,j-1,i+1), 0 )  .OR. &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k-1,j-1,i-1), 0 )  .OR.                 &
+                           .NOT. BTEST( wall_flags_total_0(k-1,j+1,i-1), 0 )  .OR.                 &
+                           .NOT. BTEST( wall_flags_total_0(k-1,j-1,i+1), 0 )  .OR.                 &
                            .NOT. BTEST( wall_flags_total_0(k-1,j+1,i+1), 0 ) )  THEN
-                         distance_corners_down = SQRT( 0.25_wp * ( dx**2 + dy**2 ) &
+                         distance_corners_down = SQRT( 0.25_wp * ( dx**2 + dy**2 )                 &
                                                        + ( zu(k) - zw(k-1) )**2 )
                       ELSE
@@ -1604,9 +1648,9 @@
 !
 !--                   ...upper four corners
-                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j-1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k+1,j+1,i-1), 0 )  .OR. &
-                           .NOT. BTEST( wall_flags_total_0(k+1,j-1,i+1), 0 )  .OR. &
+                      IF ( .NOT. BTEST( wall_flags_total_0(k+1,j-1,i-1), 0 )  .OR.                 &
+                           .NOT. BTEST( wall_flags_total_0(k+1,j+1,i-1), 0 )  .OR.                 &
+                           .NOT. BTEST( wall_flags_total_0(k+1,j-1,i+1), 0 )  .OR.                 &
                            .NOT. BTEST( wall_flags_total_0(k+1,j+1,i+1), 0 ) )  THEN
-                         distance_corners_up = SQRT( 0.25_wp * ( dx**2 + dy**2 )   &
+                         distance_corners_up = SQRT( 0.25_wp * ( dx**2 + dy**2 )                   &
                                                      + ( zw(k) - zu(k) )**2 )
                       ELSE
@@ -1615,16 +1659,15 @@
 
 !
-!--                   Calculate the minimum distance from the wall and store it
-!--                   temporarily in the array delta
-                      delta(k,j,i) = MIN(                                      &
-                         distance_up, distance_down, distance_ns, distance_lr, &
-                         distance_edge_yz_down, distance_edge_yz_up,           &
-                         distance_edge_xz_down, distance_edge_xz_up,           &
-                         distance_edge_xy,                                     &
-                         distance_corners_down, distance_corners_up )
-
-!
-!--                   If Dai et al. (2020) closure is used, the distance to the wall
-!--                   must be permanently stored
+!--                   Calculate the minimum distance from the wall and store it temporarily in the
+!--                   array delta
+                      delta(k,j,i) = MIN( distance_up, distance_down, distance_ns, distance_lr,    &
+                                          distance_edge_yz_down, distance_edge_yz_up,              &
+                                          distance_edge_xz_down, distance_edge_xz_up,              &
+                                          distance_edge_xy, distance_corners_down,                 &
+                                          distance_corners_up )
+
+!
+!--                   If Dai et al. (2020) closure is used, the distance to the wall must be
+!--                   permanently stored
                       IF ( les_dai  .AND.  delta(k,j,i) /= 9999999.9_wp )  THEN
                          distance_to_wall(k,j,i) = delta(k,j,i)
@@ -1635,11 +1678,11 @@
                       delta(k,j,i) = wall_adjustment_factor * delta(k,j,i)
 
-                  ENDIF  !if grid point belongs to atmosphere
-
-
-
-!
-!--               The grid size (delta) is defined as the the minimum of the distance to
-!--               the nearest wall * 1.8 and the geometric mean grid size.
+                  ENDIF  ! If grid point belongs to atmosphere
+
+
+
+!
+!--               The grid size (delta) is defined as the the minimum of the distance to the nearest
+!--               wall * 1.8 and the geometric mean grid size.
                   delta(k,j,i) = MIN( delta(k,j,i), gridsize_geometric_mean(k) )
 
@@ -1659,6 +1702,5 @@
 !--    Calculate mixing length according to Blackadar (1962)
        IF ( f /= 0.0_wp )  THEN
-          length_scale_max = 2.7E-4_wp * SQRT( ug(nzt+1)**2 + vg(nzt+1)**2 )   &
-                           / ABS( f ) + 1.0E-10_wp
+          length_scale_max = 2.7E-4_wp * SQRT( ug(nzt+1)**2 + vg(nzt+1)**2 ) / ABS( f ) + 1.0E-10_wp
        ELSE
           length_scale_max = 30.0_wp
@@ -1677,6 +1719,5 @@
           DO  j = nysg, nyng
              DO  k = nzb+1, nzt-1
-                IF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 0 ) .AND.  &
-                     k > k_max_topo )  &
+                IF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 0 )  .AND.  k > k_max_topo )          &
                    k_max_topo = k
              ENDDO
@@ -1687,9 +1728,8 @@
        delta(nzt+1,:,:) = ml_blackadar(nzt+1)
 !
-!--    Limit mixing length to either nearest wall or Blackadar mixing length.
-!--    For that, analyze each grid point (i/j/k) ("analysed grid point") and
-!--    search within its vicinity for the shortest distance to a wall by cal-
-!--    culating the distance between the analysed grid point and the "viewed
-!--    grid point" if it contains a wall (belongs to topography).
+!--    Limit mixing length to either nearest wall or Blackadar mixing length. For that, analyze each
+!--    grid point (i/j/k) ("analysed grid point") and search within its vicinity for the shortest
+!--    distance to a wall by calculating the distance between the analysed grid point and the
+!--    "viewed grid point" if it contains a wall (belongs to topography).
        DO  k = nzb+1, nzt
 
@@ -1720,7 +1760,7 @@
           rad_k = MAX( rad_k_b, rad_k_t )
 !
-!--       When analysed grid point lies above maximum topography, set search
-!--       radius to 0 if the distance between the analysed grid point and max
-!--       topography height is larger than the maximum search radius
+!--       When analysed grid point lies above maximum topography, set search radius to 0 if the
+!--       distance between the analysed grid point and max topography height is larger than the
+!--       maximum search radius
           IF ( zu(k-rad_k_b) > zu(k_max_topo) )  rad_k_b = 0
 !
@@ -1729,8 +1769,7 @@
 
              !> @note shape of vicinity is larger in z direction
-             !>   Shape of vicinity is two grid points larger than actual search
-             !>   radius in vertical direction. The first and last grid point is
-             !>   always set to 1 to asure correct detection of topography. See
-             !>   function "shortest_distance" for details.
+             !>   Shape of vicinity is two grid points larger than actual search radius in vertical
+             !>   direction. The first and last grid point is always set to 1 to asure correct
+             !>   detection of topography. See function "shortest_distance" for details.
              !>   2018-03-16, gronemeier
              ALLOCATE( vicinity(-rad_k-1:rad_k+1,-rad_j:rad_j,-rad_i:rad_i) )
@@ -1748,14 +1787,11 @@
                       vicinity(-rad_k:rad_k,:,:) = 0
 !
-!--                   Copy area surrounding analysed grid point into vicinity.
-!--                   First, limit size of data copied to vicinity by the domain
-!--                   border
+!--                   Copy area surrounding analysed grid point into vicinity. First, limit size of
+!--                   data copied to vicinity by the domain border
                       !> @note limit copied area to 1 grid point in hor. dir.
-                      !>   Ignore walls in horizontal direction which are
-                      !>   further away than a single grid point. This allows to
-                      !>   only search within local subdomain without the need
-                      !>   of global topography information.
-                      !>   The error made by this assumption are acceptable at
-                      !>   the moment.
+                      !>   Ignore walls in horizontal direction which are further away than a single
+                      !>   grid point. This allows to only search within local subdomain without the
+                      !>   need of global topography information. The error made by this assumption
+                      !>   are acceptable at the moment.
                       !>   2018-10-01, gronemeier
                       rad_i_l = MIN( 1, rad_i, i )
@@ -1765,16 +1801,13 @@
                       rad_j_n = MIN( 1, rad_j, ny-j )
 
-                      CALL copy_into_vicinity( k, j, i,           &
-                                               -rad_k_b, rad_k_t, &
-                                               -rad_j_s, rad_j_n, &
+                      CALL copy_into_vicinity( k, j, i, -rad_k_b, rad_k_t, -rad_j_s, rad_j_n,      &
                                                -rad_i_l, rad_i_r  )
-                      !> @note in case of cyclic boundaries, those parts of the
-                      !>   topography which lies beyond the domain borders but
-                      !>   still within the search radius still needs to be
-                      !>   copied into 'vicinity'. As the effective search
-                      !>   radius is limited to 1 at the moment, no further
-                      !>   copying is needed. Old implementation (prior to
-                      !>   2018-10-01) had this covered but used a global array.
-                      !>   2018-10-01, gronemeier
+                      !> @note in case of cyclic boundaries, those parts of the topography which
+                      !> lies beyond the domain borders but still within the search radius still
+                      !> needs to be copied into 'vicinity'. As the effective search radius is
+                      !> limited to 1 at the moment, no further copying is needed. Old
+                      !> implementation (prior to 2018-10-01) had this covered but used a global
+                      !> array.
+                      !> 2018-10-01, gronemeier
 
 !
@@ -1786,20 +1819,18 @@
                          DO  ii = 0, dist_dx
 !
-!--                         Search along vertical direction only if below
-!--                         maximum topography
-                            IF ( rad_k_t > 0 ) THEN
+!--                         Search along vertical direction only if below maximum topography
+                            IF ( rad_k_t > 0 )  THEN
 !
 !--                            Search for walls within octant (+++)
                                vic_yz = vicinity(0:rad_k+1,0:rad_j,ii)
-                               delta(k,j,i) = MIN( delta(k,j,i),             &
-                                       shortest_distance( vic_yz, .TRUE., ii ) )
+                               delta(k,j,i) = MIN( delta(k,j,i),                                   &
+                                                   shortest_distance( vic_yz, .TRUE., ii ) )
 !
 !--                            Search for walls within octant (+-+)
-!--                            Switch order of array so that the analysed grid
-!--                            point is always located at (0/0) (required by
-!--                            shortest_distance").
+!--                            Switch order of array so that the analysed grid point is always
+!--                            located at (0/0) (required by shortest_distance").
                                vic_yz = vicinity(0:rad_k+1,0:-rad_j:-1,ii)
-                               delta(k,j,i) = MIN( delta(k,j,i),             &
-                                       shortest_distance( vic_yz, .TRUE., ii ) )
+                               delta(k,j,i) = MIN( delta(k,j,i),                                   &
+                                                   shortest_distance( vic_yz, .TRUE., ii ) )
 
                             ENDIF
@@ -1807,11 +1838,11 @@
 !--                         Search for walls within octant (+--)
                             vic_yz = vicinity(0:-rad_k-1:-1,0:-rad_j:-1,ii)
-                            delta(k,j,i) = MIN( delta(k,j,i),                &
-                                      shortest_distance( vic_yz, .FALSE., ii ) )
+                            delta(k,j,i) = MIN( delta(k,j,i),                                      &
+                                                shortest_distance( vic_yz, .FALSE., ii ) )
 !
 !--                         Search for walls within octant (++-)
                             vic_yz = vicinity(0:-rad_k-1:-1,0:rad_j,ii)
-                            delta(k,j,i) = MIN( delta(k,j,i),                &
-                                      shortest_distance( vic_yz, .FALSE., ii ) )
+                            delta(k,j,i) = MIN( delta(k,j,i),                                      &
+                                                shortest_distance( vic_yz, .FALSE., ii ) )
 !
 !--                         Reduce search along x by already found distance
@@ -1823,20 +1854,18 @@
                          DO  ii = 0, -dist_dx, -1
 !
-!--                         Search along vertical direction only if below
-!--                         maximum topography
-                            IF ( rad_k_t > 0 ) THEN
+!--                         Search along vertical direction only if below maximum topography
+                            IF ( rad_k_t > 0 )  THEN
 !
 !--                            Search for walls within octant (-++)
                                vic_yz = vicinity(0:rad_k+1,0:rad_j,ii)
-                               delta(k,j,i) = MIN( delta(k,j,i),             &
-                                      shortest_distance( vic_yz, .TRUE., -ii ) )
+                               delta(k,j,i) = MIN( delta(k,j,i),                                   &
+                                                   shortest_distance( vic_yz, .TRUE., -ii ) )
 !
 !--                            Search for walls within octant (--+)
-!--                            Switch order of array so that the analysed grid
-!--                            point is always located at (0/0) (required by
-!--                            shortest_distance").
+!--                            Switch order of array so that the analysed grid point is always
+!--                            located at (0/0) (required by shortest_distance").
                                vic_yz = vicinity(0:rad_k+1,0:-rad_j:-1,ii)
-                               delta(k,j,i) = MIN( delta(k,j,i),             &
-                                      shortest_distance( vic_yz, .TRUE., -ii ) )
+                               delta(k,j,i) = MIN( delta(k,j,i),                                   &
+                                                   shortest_distance( vic_yz, .TRUE., -ii ) )
 
                             ENDIF
@@ -1844,11 +1873,11 @@
 !--                         Search for walls within octant (---)
                             vic_yz = vicinity(0:-rad_k-1:-1,0:-rad_j:-1,ii)
-                            delta(k,j,i) = MIN( delta(k,j,i),                &
-                                     shortest_distance( vic_yz, .FALSE., -ii ) )
+                            delta(k,j,i) = MIN( delta(k,j,i),                                      &
+                                                shortest_distance( vic_yz, .FALSE., -ii ) )
 !
 !--                         Search for walls within octant (-+-)
                             vic_yz = vicinity(0:-rad_k-1:-1,0:rad_j,ii)
-                            delta(k,j,i) = MIN( delta(k,j,i),                &
-                                     shortest_distance( vic_yz, .FALSE., -ii ) )
+                            delta(k,j,i) = MIN( delta(k,j,i),                                      &
+                                                shortest_distance( vic_yz, .FALSE., -ii ) )
 !
 !--                         Reduce search along x by already found distance
@@ -1871,5 +1900,5 @@
              DEALLOCATE( vic_yz )
 
-          ENDIF  !check vertical size of vicinity
+          ENDIF  !Check vertical size of vicinity
 
        ENDDO  !k loop
